import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';

const PdTestComponent = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } 
    else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <p>Joie .... pd-test marche..! S'il te plait, édite src/components/PdTest.tsx pour faire dess changements</p>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('pd-test', PdTestComponent);

export default PdTestComponent;
